Method: importJobs.get

Full name: projects.locations.keyRings.importJobs.get

Returns metadata for a given ImportJob.

HTTP request


GET https://cloudkms.googleapis.com/v1/{name=projects/*/locations/*/keyRings/*/importJobs/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the ImportJob to get.

Authorization requires the following IAM permission on the specified resource name:

  • cloudkms.importJobs.get

Query parameters

Parameters
publicKeyFormat

enum (PublicKeyFormat)

Optional. Specifies the WrappingPublicKey format. If not specified: * For RSA-based import methods, the wrapping key will be returned in PEM format * For pure ML-KEM-based import methods, the wrapping key will be returned in the raw bytes format specified in FIPS-203 * For X-Wing-based import methods, the wrapping key will be returned in the raw bytes format specified in https://datatracker.ietf.org/doc/draft-connolly-cfrg-xwing-kem.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ImportJob.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudkms
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.